1. Articles / Blog
Tjar
  • 🗂️ Overview
  • 🚀 Start Here
  • Orders
    • List Orders
      GET
    • Get Order Details
      GET
    • Order Statuses
      GET
    • Create Order
      POST
    • Change Order Status
      POST
  • Products
    • Digital
      • Create Digital Product
      • Get Digital Product Details
      • Update Digital Product
    • Booking
      • Get Booking Product Details
      • Create Booking Product
      • Update Booking Product
    • Service
      • Get Service Product
      • Create Service Product
      • Update Service Product
    • Physical
      • Get Physical Product Details
      • Create Physical Product
      • Update Physical Product
    • List All Products
      GET
    • Get Product Details
      GET
    • Delete Product
      DELETE
  • Media
    • Upload Media
      POST
    • Upload Multiple Media
      POST
    • Update Media
      POST
  • Webhook
    • Events
      • Cart Abandoned
      • Order Created
      • Order Created
      • Order Status Changed
      • Order Updated
      • Product Created
      • Product Deleted
      • Product Updated
      • Product Review Submitted
      • Product Stock Update
      • Customer Created
      • Customer Updated
      • Customer Login
      • Customer Welcome
      • Customer OTP Sent
      • Category Created
      • Category Updated
      • Category Deleted
      • Brand Created
      • Brand Updated
      • Brand Deleted
    • List Webhooks
      GET
    • Register Webhook
      POST
    • Update Webhook
      PUT
    • Delete Webhook
      DELETE
    • Verify Signature
      POST
    • Refresh Secret
      POST
    • Webhook Events
      GET
  • Abandoned Cart
    • List Abandoned Carts
    • Get Abandoned Cart Details
    • Send Reminder
  • Articles / Blog
    • List Articles
      GET
    • Get Article Details
      GET
    • List Article Categories
      GET
    • Create Article
      POST
    • Update Article with New Image File
      POST
    • Update Article
      PUT
    • Delete Article
      DELETE
  • Schemas
    • MediaImage
    • ArticleCategory
    • ArticleSeo
    • Article
    • Pagination
    • ArticleListResponse
    • ArticleCategoryListResponse
    • ArticleResponse
    • DeleteArticleResponse
    • CreateArticleJsonRequest
    • CreateArticleMultipartRequest
    • UpdateArticleJsonRequest
    • UpdateArticleMultipartRequest
  1. Articles / Blog

Update Article with New Image File

POST
/api/core/v1/articles/{id}
Last modified:2026-10-03 05:56:10
Update an article and optionally upload a new cover image with multipart form data. All body fields are optional.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Header Params

Body Params multipart/form-dataRequired

Responses

🟢200
application/json
Article updated successfully.
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/core/v1/articles/10' \
--header 'Accept: application/json' \
--header 'Accept: application/json' \
--header 'Accept-Language: en' \
--header 'Accept-Language: {{lang}}' \
--header 'Authorization: Bearer <token>' \
--form 'featured_image=@""' \
--form 'title=""' \
--form 'content=""' \
--form 'tags="marketing, seo"'
Response Response Example
{
    "status": "success",
    "message": "Article updated successfully",
    "data": {
        "id": 10,
        "title": "E-Commerce Growth Strategies for 2026 (Updated Cover)",
        "slug": "ecommerce-growth-strategies-2026",
        "featured_image": {
            "id": 530,
            "url": "https://api.tjar.sa/assets/tenant/uploads/media-uploader/b56tf/new-cover-image.jpg"
        },
        "status": "publish",
        "status_code": 1,
        "updated_at": "2026-10-03T04:35:00+03:00"
    }
}
Modified at 2026-10-03 05:56:10
Previous
Create Article
Next
Update Article
Built with